import "Turbine";
import "Turbine.UI";
Reloader=Turbine.UI.Control()
Reloader.step=0
Reloader.Update=function()
	Turbine.PluginManager.UnloadScriptState("MoorMap");
	Reloader.step=1
	Turbine.PluginManager.LoadPlugin("MoorMap");
	Reloader:SetWantsUpdates(false);
end
do
	local MoorMapIsLoaded=false
	local tmpPlugins=Turbine.PluginManager.GetLoadedPlugins();
	for pluginIndex=1,#tmpPlugins do
		if tmpPlugins[pluginIndex].Name=="MoorMap" then
			MoorMapIsLoaded=true;
			break;
		end
	end

	if MoorMapIsLoaded then
		Reloader:SetWantsUpdates(true);
	else
		if Turbine.Shell.IsCommand("aide") then
			error("N'ex\195\169cutez PAS MoorMapLoader. Ce plugin est utilis\195\169 en interne par MoorMap et ne doit pas \195\170tre d\195\169marr\195\169 automatiquement ou par l'utilisateur.",0)
		elseif Turbine.Shell.IsCommand("hilfe") then
			error("F\195\188hren Sie MoorMapLoader NICHT aus. Dieses Plugin wird intern von MoorMap verwendet und sollte nicht automatisch oder vom Benutzer gestartet werden.",0)
		else
			error("Do NOT run MoorMapLoader. This plugin is used internally by MoorMap and should not be started automatically or by the user.",0)
		end	
	end
end
