mapMaint=Turbine.UI.Lotro.Window()
mapMaint:SetSize(550,225)
mapMaint:SetText(Resource[Settings.language][579])

mapMaint.MapCaption=Turbine.UI.Label()
mapMaint.MapCaption:SetParent(mapMaint)
mapMaint.MapCaption:SetPosition(5,45)
mapMaint.MapCaption:SetSize(100,22)
mapMaint.MapCaption:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.MapCaption:SetText(Resource[Settings.language][224]..":")
mapMaint.MapSelect=DropDownList()
mapMaint.MapSelect:SetParent(mapMaint)
mapMaint.MapSelect:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.MapSelect:SetPosition(110,45)
mapMaint.MapSelect:SetSize(430,23)
mapMaint.MapSelect:SetDropRows(10)
mapMaint.MapSelect:SetSelectedIndex(1)

-- size:222
mapMaint.SizeCaption=Turbine.UI.Label()
mapMaint.SizeCaption:SetParent(mapMaint)
mapMaint.SizeCaption:SetPosition(5,75)
mapMaint.SizeCaption:SetSize(100,22)
mapMaint.SizeCaption:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.SizeCaption:SetText(Resource[Settings.language][222]..":")
mapMaint.Size=Turbine.UI.Label()
mapMaint.Size:SetParent(mapMaint)
mapMaint.Size:SetPosition(110,75)
mapMaint.Size:SetSize(430,22)
mapMaint.Size:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.Size:SetText(" x ")

mapMaint.FileCaption=Turbine.UI.Label()
mapMaint.FileCaption:SetParent(mapMaint)
mapMaint.FileCaption:SetPosition(5,100)
mapMaint.FileCaption:SetSize(100,22)
mapMaint.FileCaption:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.FileCaption:SetText(Resource[Settings.language][225]..":")
mapMaint.File=Turbine.UI.Lotro.TextBox()
mapMaint.File:SetParent(mapMaint)
mapMaint.File:SetPosition(110,100)
mapMaint.File:SetSize(430,22)
mapMaint.File:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.File:SetMultiline(false)
mapMaint.File:SetText("")
mapMaint.File.oldText=""
mapMaint.File.TextChanged=function()
	mapMaint.Message:SetText("")
	mapMaint.Save:SetEnabled(false)
	local newText=mapMaint.File:GetText()
	local index=mapMaint.MapSelect:GetValue()
	if newText=="" then
		mapMaint.Size2:SetText(" x ")
		mapMaint.Size2:SetForeColor(Turbine.UI.Color.White)
		if customMap[index]~=nil then
			mapMaint.Save:SetEnabled(true)
		end
	else
		mapMaint.Size2:SetForeColor(Turbine.UI.Color.Red)
		mapMaint.tmpImage:SetStretchMode(0)
		local success,result=pcall(Turbine.UI.Control.SetBackground,mapMaint.tmpImage,newText)
		if success then
			mapMaint.tmpImage:SetStretchMode(2)
			local newH,newV=mapMaint.tmpImage:GetSize()
			mapMaint.Size2:SetText(tostring(newH).." x "..tostring(newV))
			if newH==mapInfo[index][4] and newV==mapInfo[index][5] then
				mapMaint.Size2:SetForeColor(Turbine.UI.Color.Green)
				mapMaint.Save:SetEnabled(true)
			end
		else
			mapMaint.Size2:SetText(" x ")
		end
	end
	oldText=newText
end

mapMaint.Size2Caption=Turbine.UI.Label()
mapMaint.Size2Caption:SetParent(mapMaint)
mapMaint.Size2Caption:SetPosition(5,125)
mapMaint.Size2Caption:SetSize(100,22)
mapMaint.Size2Caption:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.Size2Caption:SetText(Resource[Settings.language][222]..":")
mapMaint.Size2=Turbine.UI.Label()
mapMaint.Size2:SetParent(mapMaint)
mapMaint.Size2:SetPosition(110,125)
mapMaint.Size2:SetSize(430,22)
mapMaint.Size2:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.Size2:SetText(" x ")

mapMaint.Message=Turbine.UI.Label()
mapMaint.Message:SetParent(mapMaint)
mapMaint.Message:SetPosition(5,150)
mapMaint.Message:SetSize(mapMaint:GetWidth()-10,22)
mapMaint.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
mapMaint.Message:SetFont(Turbine.UI.Lotro.Font.Verdana20)
mapMaint.Message:SetText("")

mapMaint.Save=Turbine.UI.Lotro.Button()
mapMaint.Save:SetParent(mapMaint)
mapMaint.Save:SetSize(100,22)
mapMaint.Save:SetPosition((mapMaint:GetWidth()-mapMaint.Save:GetWidth())/2,185)
mapMaint.Save:SetText(Resource[Settings.language][11])
mapMaint.Save.Click=function()
	local newVal=mapMaint.File:GetText()
	local index=mapMaint.MapSelect:GetValue()
	if newVal=="" then newVal=nil end
	customMap[index]=newVal
	if index==mapWindow.CurrentMapID then
		if newVal==nil then newVal=mapInfo[index][3] end
		pcall(Turbine.UI.Control.SetBackground,mapWindow.Map,newVal);
	end
	mapMaint.Message:SetText("Saved")
end

mapMaint.tmpImage=Turbine.UI.Control()
mapMaint.tmpImage:SetPosition(mapMaint:GetWidth()+1,0)

mapMaint.MapSelect.SelectedIndexChanged=function()
	local index=mapMaint.MapSelect:GetValue()
	mapMaint.Size:SetText(tostring(mapInfo[index][4]).." x "..tostring(mapInfo[index][5]))
	local tmpMap=customMap[index]
	if tmpMap~=nil then
		mapMaint.File:SetText(tmpMap)
	else
		mapMaint.File:SetText("")
	end
	mapMaint.File.TextChanged()
end

mapMaint.Setup=function()
	mapMaint.MapSelect:SetBorderColor(Settings.trimColor);
	mapMaint.MapSelect:SetBackColor(Settings.backColor);
	mapMaint.MapSelect.CurrentValue:SetBackColor(Settings.backColor);
	mapMaint.MapSelect:SetTextColor(Settings.listTextColor);
	mapMaint.MapCaption:SetText(Resource[Settings.language][224]..":")
end

mapMaint.MapSelect:SetZOrder(5)
mapMaint.Setup()
mapMaint:SetZOrder(2)